%define prefix   /usr
%define version 0.5.0
%define name cdcd
%define release 2mdk

Summary: Command line based cd player with cddb support.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Sound
Source: %{name}-%{version}.tar.bz2
#Patch1: cdcd-no_man_page.patch
BuildRoot: /var/tmp/%{name}-buildroot
Packager: Adrian Likins <alikins@redhat.com>
URL: http://cdcd.undergrid.net/
Docdir: %{prefix}/doc

%description
	cdcd takes a different approach from conventional console
 (or X) based CD players, in that it doesn't keep with the
 display-oriented paradigm. Conventional computer-based CD players
 resemble traditional physical CD players.  This is fine, if your
 user interface consists of 10 buttons. However, computers have
 keyboards, so why not use them?  Besides, it's certainly a waste 
 of a console or an xterm to have a traditional CD player
 open anyway.


%prep
rm -rf $RPM_BUILD_ROOT

%setup 
#%patch1 -p1

%build
CFLAGS="${RPM_OPT_FLAGS}" ./configure --prefix=%{prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README AUTHORS ChangeLog NEWS
%{prefix}/bin/*
%{prefix}/man/man1/*

%changelog
* Tue Apr 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-2mdk
- fix group, files section
- fix permission on sources

* Thu Feb 08 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build
- v0.5.0

* Sat Jul 31 1999 Adrian Likins <alikins@redhat.com>
-updated to 0.4.6
-readded the man page

* Sun Jun  6 1999 Adrian Likins <alikins@redhat.com>
-first release as rpm
